/***************************************************************************
*                                                                          *
*  Copyright (C) Golaem S.A.  All Rights Reserved.                         *
*                                                                          *
****************************************************************************/

#pragma once

#include <glmCoreAPI.h>

namespace glm
{
    class MultiThreadProcessor;

    // initialize Golaem Core library
    extern GLM_CORE_API void initCore();

    // finish Golaem Core library
    extern GLM_CORE_API void finishCore(bool shutdownTracy=true);

    extern GLM_CORE_API MultiThreadProcessor& getMultiThreadProcessor();

    extern GLM_CORE_API bool isCoreFinished();
} // namespace glm
